summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2021-05-29 09:28:33 +0200
committerMichał Górny <mgorny@gentoo.org>2021-05-29 10:06:46 +0200
commitc27a6b37b7cf8e786640911639c0f900cf167d71 (patch)
treed822d266b84857f7ab9a38905d0b2256f3ce393e /dev-python
parentdev-python/ipython: Bump to 7.24.0 (diff)
downloadgentoo-c27a6b37b7cf8e786640911639c0f900cf167d71.tar.gz
gentoo-c27a6b37b7cf8e786640911639c0f900cf167d71.tar.bz2
gentoo-c27a6b37b7cf8e786640911639c0f900cf167d71.zip
dev-python/execnet: Bump to 1.8.1
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/execnet/Manifest1
-rw-r--r--dev-python/execnet/execnet-1.8.1.ebuild48
2 files changed, 49 insertions, 0 deletions
diff --git a/dev-python/execnet/Manifest b/dev-python/execnet/Manifest
index 248028e983c..e1ed4ffa04c 100644
--- a/dev-python/execnet/Manifest
+++ b/dev-python/execnet/Manifest
@@ -1 +1,2 @@
DIST execnet-1.8.0.tar.gz 173765 BLAKE2B c6334a98b0e9dc7eb5e83fef05b795371edd0f85a6cbad9dc80d14f2e944204812c58419afebe5e70514f41d5ee7507b6a224a94e8cee2544607bc28ef5b175d SHA512 a0ca76002270daa5cbfa00563a51a3412008f893f755a1eb84f53e228dd61a82bdc94fe6152e30d471b4caff3059c662bb9de82100ec2c96df4d014836452698
+DIST execnet-1.8.1.tar.gz 173811 BLAKE2B 1d6277177908ccffe95973d34962856f6ef0a6d16c1e046f47a7ab0667b5e5c2867405a7a8bf36fb7be8e2fa0fd75b68375abdd9b70a1a1aaa641bdefadcd32d SHA512 183c89961b8b5db4eca5b64ff6b179f9faa19d26f04ad07740c818a471aedb02b2e7837fb7cedb6b1e4a538b0bd62cc4eff602dffe4c3c35bf826aa5a627afb2
diff --git a/dev-python/execnet/execnet-1.8.1.ebuild b/dev-python/execnet/execnet-1.8.1.ebuild
new file mode 100644
index 00000000000..8990f1adf6e
--- /dev/null
+++ b/dev-python/execnet/execnet-1.8.1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Rapid multi-Python deployment"
+HOMEPAGE="https://codespeak.net/execnet/
+ https://pypi.org/project/execnet/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND=">=dev-python/apipkg-1.4[${PYTHON_USEDEP}]"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]"
+
+distutils_enable_sphinx doc
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ sed -i -r 's:(,[[:space:]]*|)"eventlet":: ; s:(,[[:space:]]*|)"gevent"(,|)::' \
+ testing/conftest.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local deselect=(
+ # needs python2.7 with apipkg?
+ 'testing/test_termination.py::test_close_initiating_remote_no_error[python2.7]'
+ # tries to run python2
+ testing/test_channel.py::TestStringCoerce::test_3to2
+ testing/test_gateway.py::TestStringCoerce::test_3to2
+ # does not like Gentoo defaults
+ testing/test_gateway.py::TestPopenGateway::test_dont_write_bytecode
+ # almost all tests call py2, not worth filtering for the rest
+ testing/test_serializer.py
+ )
+
+ pytest -vv ${deselect[@]/#/--deselect } ||
+ die "Tests failed with ${EPYTHON}"
+}